.buttons-container {
    display: flex;        
    height: 150px;
}

.buttons-container button:nth-child(odd) {
    align-self: flex-end;
}

.buttons-container button:nth-child(even) {
    align-self: flex-start;
}

@media print,
(max-width: 600px) {

    .buttons-container {
        flex-direction: column;
        height: 100%;
        min-width: 200px;        
    }

    .buttons-container button:nth-child(odd) {
        align-self: flex-start;
    }
    
    .buttons-container button:nth-child(even) {
        align-self: flex-end;
    }    
}